Name:		hexalate
Version:	1.2.5
Release:	%mkrel 1
Summary:	Color matching game
Group:		Games/Puzzles
License:	GPLv3+
URL:		https://gottcode.org/hexalate/
Source0:	https://gottcode.org/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake

%description
The goal of the game is to rotate and position the circles so that each
touching line matches in color. You rotate circles by right clicking,
and you move circles by dragging them. The game stores the positions
and rotations of the circles across runs.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6.*


%changelog
* Tue Feb 25 2025 daviddavid <daviddavid> 1.2.5-1.mga10
+ Revision: 2152144
- new version: 1.2.5

* Tue Jan 21 2025 daviddavid <daviddavid> 1.2.4-1.mga10
+ Revision: 2140144
- new version: 1.2.4

* Sun Jan 21 2024 daviddavid <daviddavid> 1.2.3-1.mga10
+ Revision: 2033229
- new version: 1.2.3

* Thu Jan 12 2023 daviddavid <daviddavid> 1.2.2-1.mga9
+ Revision: 1932447
- new version: 1.2.2

* Tue Dec 06 2022 daviddavid <daviddavid> 1.2.1-1.mga9
+ Revision: 1918503
- new version: 1.2.1
- switch to Qt6 and cmake build system

* Sun Apr 03 2022 umeabot <umeabot> 1.2.0-2.mga9
+ Revision: 1842455
- Mageia 9 Mass Rebuild

* Fri May 21 2021 daviddavid <daviddavid> 1.2.0-1.mga9
+ Revision: 1725938
- new version: 1.2.0

* Wed Dec 16 2020 umeabot <umeabot> 1.1.6-2.mga8
+ Revision: 1658569
- Rebuild for new Qt5

* Tue Apr 21 2020 daviddavid <daviddavid> 1.1.6-1.mga8
+ Revision: 1570396
- new version: 1.1.6

* Sat Feb 15 2020 umeabot <umeabot> 1.1.5-2.mga8
+ Revision: 1528352
- Mageia 8 Mass Rebuild

* Mon Aug 19 2019 daviddavid <daviddavid> 1.1.5-1.mga8
+ Revision: 1430153
- new version: 1.1.5

* Sat Mar 30 2019 umeabot <umeabot> 1.1.4-3.mga7
+ Revision: 1381910
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.1.4-2.mga7
+ Revision: 1298186
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 daviddavid <daviddavid> 1.1.4-1.mga7
+ Revision: 1244533
- new version: 1.1.4

* Wed May 30 2018 daviddavid <daviddavid> 1.1.3-1.mga7
+ Revision: 1233022
- new version: 1.1.3

* Tue May 01 2018 daviddavid <daviddavid> 1.1.2-1.mga7
+ Revision: 1224083
- new version: 1.1.2

* Sat Dec 09 2017 vaci0 <vaci0> 1.1.1-1.mga7
+ Revision: 1181765
-Update new version 1.1.1

* Sat Jun 03 2017 vaci0 <vaci0> 1.1.0-1.mga6
+ Revision: 1105939
- Update to new version 1.1.0

* Mon Feb 08 2016 umeabot <umeabot> 1.0.3-4.mga6
+ Revision: 942516
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-3.mga5
+ Revision: 745260
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-2.mga5
+ Revision: 680116
- Mageia 5 Mass Rebuild

* Wed Apr 16 2014 vaci0 <vaci0> 1.0.3-1.mga5
+ Revision: 615310
- Update to new version 1.0.3

* Fri Feb 07 2014 wally <wally> 1.0.2-1.mga5
+ Revision: 585457
- new version 1.0.2
- drop desktop file patch

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 505453
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 353180
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 vaci0 <vaci0> 1.0.1-1.mga3
+ Revision: 274779
- imported package hexalate

